Bug 23358 - Integrate accelerated rendering into RenderLayer
Summary: Integrate accelerated rendering into RenderLayer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords:
Depends on:
Blocks: 23359
  Show dependency treegraph
 
Reported: 2009-01-15 14:55 PST by Simon Fraser (smfr)
Modified: 2009-03-02 11:51 PST (History)
3 users (show)

See Also:


Attachments
Patch, changelog. (27.93 KB, patch)
2009-02-02 16:50 PST, Simon Fraser (smfr)
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2009-01-15 14:55:29 PST
This bug is for changes in existing code in RenderLayer and elsewhere in WebCore/rendering to enable acccelerated compositing.
Comment 1 Simon Fraser (smfr) 2009-02-02 16:50:46 PST
Created attachment 27267 [details]
Patch, changelog.
Comment 2 Dave Hyatt 2009-02-03 11:16:53 PST
Comment on attachment 27267 [details]
Patch, changelog.

I don't think you need to null check viww() in compositor().

Remove the font smoothing stuff from RenderLayer.  That needs more discussion.

Since you complicated the syncing because of lists being dirty, maybe you could pull that into a new function.. updateLayerListsIfNeeded or something.

Don't just comment out result.move(m_x, m_y).  Take it out in both places.

You should use an OwnPtr for m_backing.

Remove the CSSPropertyNames.h include from RenderLayer.h

The implementation of transparentAncestor is broken.  You want to walk until you hit a layer with isComposited set, and if you encounter a transparent layer before then, return it.  Otherwise return 0.  It should also probably be renamed to something like transparentPaintingAncestor.

r=me making all these changes.
Comment 3 Simon Fraser (smfr) 2009-02-03 12:44:03 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/rendering/RenderLayer.cpp
	M	WebCore/rendering/RenderLayer.h
Committed r40544